deploy:
  image: registry.gitlab.com/a4sex/images/semantic-release:18.15.0-alpine3.17
  stage: deploy
  cache: 
    key: 
      files:
        - yarn.lock
      prefix: "[${CI_JOB_IMAGE}]"
    paths:
      - node_modules
      - .yarn
  before_script:
    - yarn install --prefer-offline --frozen-lockfile --cache-folder .yarn
    - yarn run test
    - yarn run build
  script:
    - export VAULT_TOKEN="$(vault write -field=token auth/jwt/login role=$VAULT_ROLE jwt=$CI_JOB_JWT)"
    - export GITLAB_TOKEN="$(vault kv get -field=token general/gitlab/push-token)"
    - export NPM_TOKEN="$(vault kv get -field=token general/npm/publish-token)"
    - npx semantic-release
  except:
    - tags